<template>
    <div class="bg-dark p-3 rounded">
        <form @submit="emitAddItem">
            <div class="form-group d-flex m-0">
                <input type="text" v-model="title" class="form-control align-self-stretch" placeholder="Add Title...">
                <button type="submit" class="btn btn-primary">Add</button>
            </div>
        </form>
    </div>
</template>

<script>
    export default {
        name: 'Additem',
        data() {
            return {
                title: '',
            }
        },
        methods: {
            emitAddItem(e) {
                e.preventDefault()

                const newItem = {
                    title: this.title,
                    description: '...',
                    completed: 0,
                }

                this.$emit('add-item', newItem)
                this.title = '';
            }
        }
    }
</script>